#include "TROOT.h"
#include "TObject.h"

#include <vector>

class MyTrackColl : public TObject {
//class MyTrackColl {

 public: 
  std::vector<float> pT_ID;
  std::vector<float> phi_ID;
  std::vector<float> theta_ID;
  std::vector<float> d0_ID;
  std::vector<float> z0_ID;

  MyTrackColl(); //{pT = 0;}
  ~MyTrackColl();
   
  void FillIDParams(float pt, float phi, float theta, float z0, float d0);
  void FillIDParams(int i, float pt, float phi, float theta, float z0, float d0);

  
  float pt_at_ID(int i){return pT_ID[i];}
  float phi_at_ID(int i){return phi_ID[i];}
  float theta_at_ID(int i){return theta_ID[i];}
  float d0_at_ID(int i){return d0_ID[i];}
  float z0_at_ID(int i){return z0_ID[i];}

  ClassDef(MyTrackColl,1);
};

#ifdef __MAKECINT__
#pragma link C++ vector<MyTrackColl*>;
#endif
